#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_clean:

override_dh_auto_build:
	cd tools && ant
	# The following line can be used later in a similar form, once we have packaged
	# the needed toolset within kopano-webapp-buildtools for example.
	#ant -Droot-folder=/usr/share/kopano-webapp-buildtools/ -Dtarget-folder=deploy -Dplugin-folder=files -Dplugin=files deploy;
	ant -Droot-folder=. -Dtarget-folder=deploy -Dplugin-folder=files -Dplugin=files deploy;
	# While importing new source we have removed the following folders as we want to
	# symlink the Sabre stuff which is already packaged.
	#   php/Files/Backend/Webdav/sabredav/vendor/sabre/dav
	#   php/Files/Backend/Webdav/sabredav/vendor/sabre/vobject
	# Create the folders which we wanted to use for the *.links sequencer.
	mkdir -p deploy/files/php/Files/Backend/Webdav/sabredav/vendor/sabre/vobject/lib
	mkdir -p deploy/files/php/Files/Backend/Webdav/sabredav/vendor/sabre/dav/lib

override_dh_fixperms:
	dh_fixperms -Xvar/lib/kopano-webapp/plugin_files
	chown www-data:www-data debian/kopano-webapp-files/var/lib/kopano-webapp/plugin_files
